import request from '@/utils/request'

// 查询机台管理列表
export function listMachinery(query) {
	return request({
		url: '/wms/machinery/list',
		method: 'get',
		params: query
	});
}

// 查询机台管理详细
export function getMachinery(machineryId) {
	return request({
		url: '/wms/machinery/' + machineryId,
		method: 'get'
		});
}

// 新增机台管理
export function addMachinery(data) {
	return request({
		url: '/wms/machinery',
		method: 'post',
		data: data
	});
}

// 修改机台管理
export function updateMachinery(data) {
	return request({
		url: '/wms/machinery',
		method: 'put',
		data: data
	});
}

// 删除机台管理
export function delMachinery(machineryId) {
	return request({
		url: '/wms/machinery/' + machineryId,
		method: 'delete'
	});
}
